%bcond_without gtk3

Summary:	Simple Bittorrent client
Name:		transmission
Version:	2.94
Release:	2
License:	MIT and GPLv2+
Group:		Networking/File transfer
Url:		http://www.transmissionbt.com/
Source0:	https://github.com/transmission/transmission-releases/raw/master/%{name}-%{version}.tar.xz
Patch0:		transmission-2.92-i18n.patch
Patch1:		transmission-2.92-desktop-i18n.patch
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(openssl)

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

#----------------------------------------------------------------------------

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
Conflicts:	transmission < 1.74

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.

%files common
%doc README NEWS AUTHORS
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/*

#----------------------------------------------------------------------------

%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{EVRD}
Conflicts:	transmission < 1.74

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.

%files cli
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-create
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-show
%{_mandir}/man1/%{name}-cli.1*
%{_mandir}/man1/%{name}-create.1*
%{_mandir}/man1/%{name}-edit.1*
%{_mandir}/man1/%{name}-remote.1*
%{_mandir}/man1/%{name}-show.1*

#----------------------------------------------------------------------------

%if %{with gtk3}
%package gtk3
Summary:	GTK Interface for Transmission BitTorrent client
Group:		Networking/File transfer
#BuildRequires:	pkgconfig(gconf-3.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(ndesk-dbus-glib-1.0)
Requires:	%{name}-common = %{EVRD}
Provides:	%{name} = %{EVRD}
Provides:	%{name}-gui = %{EVRD}
Obsoletes:	transmission < 1.74-1
Obsoletes:	%{name}-gtk <= 2.92
Provides:	%{name}-gtk %{EVRD}

%description gtk3
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK Interface.

%files gtk3 -f %{name}-gtk.lang
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_mandir}/man1/%{name}-gtk.1*
%endif

#----------------------------------------------------------------------------

%package qt5
Summary:	Qt5 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	%{name}-common = %{EVRD}
Provides:	%{name}-gui = %{EVRD}
Obsoletes:	%{name}-qt4 < 2.92

%description qt5
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a QT5 based GUI for Transmission
loosely based on the GTK+ client.

%files qt5 -f %{name}.lang
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_mandir}/man1/%{name}-qt.1*

#----------------------------------------------------------------------------

%package daemon
Summary:	Qt Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{EVRD}

%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.

%files daemon
%{_bindir}/%{name}-daemon
%{_mandir}/man1/%{name}-daemon.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

sed -i 's/debug/release/g' qt/qtr.pro

%build
export PATH=${PATH}:%{_qt5_bindir}
%configure2_5x \
	--enable-cli
%make

#QT Gui
pushd qt
%qmake_qt5 qtr.pro
%make
pushd translations
for i in `ls *.ts`; do lrelease $i ; done
popd
popd

%install
%makeinstall_std
%if %{with gtk3}
%find_lang %{name}-gtk
%endif

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -scale 48 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 %{buildroot}/usr/share/pixmaps/transmission.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#Qt Gui Installation
pushd qt
%makeinstall_std INSTALL_ROOT=%{buildroot}%{_prefix}
pushd translations
mkdir -p %{buildroot}%{_datadir}/%{name}-qt5/translations
cp *.qm %{buildroot}%{_datadir}/%{name}-qt5/translations
popd
popd

%find_lang %{name} --with-qt

# Install transmission-qt.desktop manually as make install doesn't install it:
cp -a qt/transmission-qt.desktop %{buildroot}/%{_datadir}/applications/

%changelog
